var app = {
	// Application Constructor
	initialize: function() {
		this.bindEvents();
	},
	bindEvents: function() {
		document.addEventListener('deviceready', this.onDeviceReady, false);
	},
	onDeviceReady: function() {
		app.receivedEvent('deviceready');

		// Open any external link with InAppBrowser Plugin
		$(document).on('click', 'a[href^=http], a[href^=https]', function(e){

			e.preventDefault();
			var $this = $(this);
			var target = $this.data('inAppBrowser') || '_blank';

			window.open($this.attr('href'), target);
		});

	},
	// Update DOM on a Received Event
	receivedEvent: function(id) {
		console.log('Received Event: ' + id);
	}
};

(function() {
	var app = angular.module('sensationApp', ['onsen.directives', 'ngTouch', 'ngSanitize', 'angular-carousel', 'ui.event', 'angular-loading-bar']);
	//var app = angular.module('sensationApp', ['onsen.directives', 'ngTouch', 'ngSanitize', 'angular-carousel', 'ui.event', 'angular-loading-bar']);

	document.addEventListener('deviceready', function() {
		angular.bootstrap(document, ['sensationApp']);

	}, false);

	// Lancement en page d'accueil
	app.controller('HomeController', function($scope, $http, Data) {
		ons.ready(function() {
			navigator.splashscreen.hide();
			initPushwoosh();


		// commande de retour à l'application
		//document.addEventListener("deviceready", initPushwoosh, true);

		 var ad_units = {
			ios : {
			license: 'y.legarson@gmail.com/e7a319930e48e32ccf921b61a89b2a3f',
			banner: 'ca-app-pub-9501663551694242/2319472258',
			interstitial: 'ca-app-pub-9501663551694242/4184244656'
			},
			android : {
			license: 'y.legarson@gmail.com/e7a319930e48e32ccf921b61a89b2a3f',
			banner: 'ca-app-pub-9501663551694242/9047950255',
			interstitial: 'ca-app-pub-9501663551694242/2847112253'
			}
		};

		var admobid = ( /(android)/i.test(navigator.userAgent) ) ? ad_units.android : ad_units.ios;

		if(AdMob) AdMob.prepareInterstitial( {license:admobid.license, adId:admobid.interstitial, autoShow:true} );
		window.setTimeout(function(){if(AdMob){AdMob.createBanner( {license:admobid.license, adId:admobid.banner,position:AdMob.AD_POSITION.BOTTOM_CENTER, autoShow:true} );}}, 10000);

			// if(AdMob && interstitiel=="O") AdMob.prepareInterstitial( {license:admobid.license, adId:admobid.interstitial, autoShow:false, success: function(){},error: function(){alert('failed to create banner');}} );
			// window.setTimeout(function(){if(AdMob && banniere=="O") {AdMob.createBanner( {license:admobid.license, adId:admobid.banner, position:AdMob.AD_POSITION.BOTTOM_CENTER, autoShow:true, success: function(){},error: function(){alert('failed to create banner');}} );}}, 30000);

			// document.addEventListener('onAdLoaded',function(data){
				// alert('coucou');
				// if(data.adType == 'interstitial'){ AdMob.showInterstitial();}
			// });


		// document.addEventListener("resume", doResume, false);
		// var now = new Date();
		// var t = now.getTime() + 600000;
		// var db = window.openDatabase("contenu", "1.0", "contenu", 2000000);
		// db.transaction(function(tx) {
			// tx.executeSql("DROP TABLE IF EXISTS `actualisation`;");
			// tx.executeSql("CREATE TABLE IF NOT EXISTS `actualisation` (id int(11), date int(20));");
			// tx.executeSql("CREATE TABLE IF NOT EXISTS `article` (id int(11), etat int(20));");
			// tx.executeSql('INSERT INTO actualisation VALUES("1", "'+t+'")');
		// });

		// on détermine la géolocalisation
		// geoloc = "no";
		// navigator.geolocation.getCurrentPosition(function(position)
		  // {
			// timestamp = new Date().getTime();
			// geoloc = "yes";
			// $http.post("http://www.mon43.fr/applications/v2/getGeoloc.php?timestamp="+timestamp+"", $.param({action:"save", uuid:device.uuid, latitude:position.coords.latitude, longitude:position.coords.longitude}), { headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'}}).success(function(data)
			  // {
				// if(data.items[0].id>0)
				  // {
					// if(data.items[0].interstitiel=="O" || data.items[0].banniere=="O"){
					// launch(''+data.items[0].interstitiel+'',''+data.items[0].banniere+'',''+data.items[0].android_interstitiel+'',''+data.items[0].android_banniere+'',''+data.items[0].ios_interstitiel+'',''+data.items[0].ios_banniere+'');
					// }
				  // }
			  // });

		  // }, function()
		    // {
				// geoloc = "yes";
				// launch('O','O','ca-app-pub-6689911259217576/8023846841','/1007386/TO_appli_ban_general','ca-app-pub-6689911259217576/1977313243','/1007386/TO_appli_ban_general');
			// });

		// if(geoloc=="no")
		  // {
			// launch('O','O','ca-app-pub-6689911259217576/8023846841','/1007386/TO_appli_ban_general','ca-app-pub-6689911259217576/1977313243','/1007386/TO_appli_ban_general');
		  // }

		// function launch(interstitiel,banniere,android_interstitiel,android_banniere,ios_interstitiel,ios_banniere)
		  // {
			// // on lance Google Admob
			// var ad_units = {
				// ios : {
					// license: 'y.legarson@gmail.com/e7a319930e48e32ccf921b61a89b2a3f',
					// banner: 'ca-app-pub-9501663551694242/2319472258',
					// interstitial: 'ca-app-pub-9501663551694242/4184244656'
				// },
				// android : {
					// license: 'y.legarson@gmail.com/e7a319930e48e32ccf921b61a89b2a3f',
					// banner: 'ca-app-pub-9501663551694242/9047950255',
					// interstitial: 'ca-app-pub-9501663551694242/2847112253'
				// }
			// };
			// var admobid = ( /(android)/i.test(navigator.userAgent) ) ? ad_units.android : ad_units.ios;

			// if(AdMob && interstitiel=="O") AdMob.prepareInterstitial( {license:admobid.license, adId:admobid.interstitial, autoShow:false, success: function(){},error: function(){alert('failed to create banner');}} );
			// window.setTimeout(function(){if(AdMob && banniere=="O") {AdMob.createBanner( {license:admobid.license, adId:admobid.banner, position:AdMob.AD_POSITION.BOTTOM_CENTER, autoShow:true, success: function(){},error: function(){alert('failed to create banner');}} );}}, 30000);

			// document.addEventListener('onAdLoaded',function(data){
				// alert('coucou');
				// if(data.adType == 'interstitial'){ AdMob.showInterstitial();}
			// });

		  // }



		function initPushwoosh()
		{
		    var pushNotification = window.plugins.pushNotification;

			//set push notifications handler
			document.addEventListener('push-notification', function(event) {
				var userData = event.notification.userdata;
				if(userData.id && userData.id != ''  || userData.id != "undefined")
				{
					$scope.appNavigator.pushPage("new.html", {idpush: userData.id, animation: 'slide'});
				}

			});

			pushNotification.onDeviceReady({ projectid: "397906695062", appid : "4CCD6-74827" });
		}

		function doResume()
		  {
			db.transaction(function(tx) {tx.executeSql('SELECT * FROM `actualisation` WHERE id=1 LIMIT 1', [], function (tx, results)
			  {
				if(results.rows.item(0).date<Date.now())
				{
					// if(confirm('Souhaitez-vous réactualiser les informations ?'))
					// 	{location.href='index.html';}

					navigator.notification.confirm(
			                'Souhaitez-vous réactualiser les informations ?', // message
			                ConfirmResponse,     // callback to invoke with index of button pressed
			                'Actualisation',           // title
			                ['Oui','Non']     // buttonLabels
			        );

			        function ConfirmResponse(buttonIndex) {
			            if(buttonIndex == 1)
			            {
			                location.href='index.html';
			            }
			        }

				}
			 })})
		  }

		// on lance Google Analytics
		ganastart();
		gana('accueil');

		// on lance les items de milieu de page
		// $scope.items2 = Data2.items;
  //       $scope.showDetail2 = function(index){
  //           var selectedItem = $scope.items2[index];
  //           $scope.appNavigator.pushPage(selectedItem.page, {title: selectedItem.title, animation: 'slide'});
  //       }


		// on lance les items de bas de page
		// $scope.items = Data.items;
		// $scope.showDetail = function(index){
			// if(index == 2)
				// location.href='index.html';
			// else if(index == 0)
			// {
				// var selectedItem = $scope.items[index];
				// window.open(selectedItem.page, '_blank', 'location=no');
			// }
			// else
			// {
	            // var selectedItem = $scope.items[index];
	            // $scope.appNavigator.pushPage(selectedItem.page, {title: selectedItem.title, animation: 'slide'});
			// }
		// }
		
		// on regarde si les notifications sont activées ou non
		timestamp = new Date().getTime();
		$.getJSON('http://www.mon43.fr/applications/v2/notif.php?uuid='+device.uuid+'&action=verif&timestamp='+timestamp+'', function(data) {
			var employee = data.item;
			if(employee.id)
			  {
			  	document.addEventListener('push-notification', function(event) {
						var title = event.notification.title;
						var userData = event.notification.userdata;
					});
			  }
			else
			{
			  	navigator.notification.confirm(
			                'Souhaitez-vous recevoir les notifications de mon43 ?', // message
			                ConfirmResponse,     // callback to invoke with index of button pressed
			                'Notifications',           // title
			                ['Oui','Non']     // buttonLabels
		        );

		        function ConfirmResponse(buttonIndex) {
		            if(buttonIndex == 1)
		            {
		                var pushNotification = window.plugins.pushNotification;

						//set push notifications handler
						document.addEventListener('push-notification', function(event) {
							var title = event.notification.title;
							var userData = event.notification.userdata;
							navigator.notification.alert(JSON.stringify(['push-notification!', event.notification]));
							if(typeof(userData) != "undefined") {
								console.warn('user data: ' + JSON.stringify(userData));
							}
						});

						pushNotification.onDeviceReady({ projectid: "397906695062", appid : "4CCD6-74827" });

						pushNotification.registerDevice(
							function(status) {
								var pushToken = status;
								$.getJSON('http://www.mon43.fr/applications/v2/notif.php?uuid='+device.uuid+'&token='+pushToken+'&actif=O', function(data) {	});
							},
							function(status) {
								console.warn(JSON.stringify(['failed to register ', status]));
							}
						);
			        }
			        else
			        {
			        	$.getJSON('http://www.mon43.fr/applications/v2/notif.php?uuid='+device.uuid+'&actif=N', function(data) {	});
			        }
		        }



				// if(confirm("Souhaitez-vous recevoir les notifications de Tendance Ouest ?"))
				//   {
				// 	var pushNotification = window.plugins.pushNotification;

				// 	//set push notifications handler
				// 	document.addEventListener('push-notification', function(event) {
				// 		var title = event.notification.title;
				// 		var userData = event.notification.userdata;
				// 		navigator.notification.alert(JSON.stringify(['push-notification!', event.notification]));
				// 		if(typeof(userData) != "undefined") {
				// 			console.warn('user data: ' + JSON.stringify(userData));
				// 		}
				// 	});

				// 	pushNotification.onDeviceReady({ projectid: "397906695062", appid : "4CCD6-74827" });

				// 	pushNotification.registerDevice(
				// 			function(status) {
				// 				var pushToken = status;
				// 				$.getJSON('http://www.mon43.fr/applications/v2/notif.php?uuid='+device.uuid+'&token='+pushToken+'&actif=O', function(data) {	});
				// 			},
				// 			function(status) {
				// 				console.warn(JSON.stringify(['failed to register ', status]));
				// 			}
				// 		);
				//   }
				// else
				//   {
				// 	$.getJSON('http://www.mon43.fr/applications/v2/notif.php?uuid='+device.uuid+'&actif=N', function(data) {	});
				//   }
			}
		});
		
		
		
		
		
		timestamp = new Date().getTime();
		
		$http({method: 'GET', url: 'http://www.mon43.fr/applications/v2/getNews.php?limit=10&origine=home&random='+timestamp}).
		success(function(data, status, headers, config) {
			var itemscar = data.carousel;
			function addSlides(target) {
				angular.forEach(itemscar,function(item,index){
					if(index<3){
						target.push({
							label: item.title,
							picture: item.photo_mini,
							item: (index + 1)
						});
					}
				});
			 };

			$scope.slides = [];
			addSlides($scope.slides);
		  $scope.showDetailCarousel = function(index)
		  {
			index2 = index-1;
			var selectedItem = itemscar[index2];
			$scope.appNavigator.pushPage('new.html', selectedItem);
		  }
		}).
		error(function(data, status, headers, config) {});
		
		$scope.news = [];
		$scope.isLoading = false;
		$scope.lim = 0;

		$scope.getNextItems = function(){
			if(!$scope.isLoading)
			{
				$scope.isLoading = true;
				timestamp = new Date().getTime();
				$http({method: 'GET', url: 'http://www.mon43.fr/applications/v2/getNews.php?origine=home&limit='+$scope.lim+'&timestamp='+timestamp}).
				success(function(data, status, headers, config) {
					angular.forEach(data.result,function(item,index)
					{
						$scope.news.push(item);
					});
					$scope.lim += 20;
					$scope.isLoading = false;
				}).
				error(function(data, status, headers, config) {$scope.isLoading = false;});
			}
		};

		$scope.getNextItems();
		

		// on clique sur un article de la home
		$scope.showDetail = function(index)
		  {
			var selectedItem = $scope.news[index];
			$scope.appNavigator.pushPage('new.html', selectedItem);
		  }
		
		
		
		
		})

	});

	// Gallery Controller
	app.controller('GalleryController', function($scope, $sce, $http) {

		timestamp = new Date().getTime();
		$http({method: 'GET', url: 'http://www.mon43.fr/applications/v2/getCarrousel.php?limit=3&random='+timestamp}).
		success(function(data, status, headers, config) {

			var items = data.result;

			function addSlides(target) {

				angular.forEach(items,function(item,index){

					if(index<3){
						target.push({
							label: item.title,
							picture: item.photo,
							item: (index + 1)
						});
					}
				});
			 };

			$scope.slides = [];
			addSlides($scope.slides);

			$scope.showDetail = function(index) {
			index2 = index-1;
			var selectedItem = items[index2];
			$scope.appNavigator.pushPage('new.html', selectedItem);
			}

		});

	});

	// News Home
	app.controller('NewsHome', function($scope, $http)
	{
		ons.ready(function() {
		

		  })
	});




	  app.controller('communesController', function($scope, $http)
	  {
		gana('communes');
		timestamp = new Date().getTime();
		$scope.communes = [];
		$http({method: 'GET', url: 'http://www.mon43.fr/applications/v2/getcommunes.php?id='+ window.localStorage.getItem("commune_fav") +'&random='+timestamp}).
		success(function(data, status, headers, config) {
			$scope.communes = data.result;

			$scope.submitForm = function()
			{
				var communesL = document.getElementById("communesSelector");
				for(i=0;i<communesL.length;i++) { if(communesL.options[i].selected) { break; } }
				var idcommune = communesL[i].value;
				var nomcommune = communesL[i].text
				$scope.appNavigator.pushPage('newsCommunes.html', {id:idcommune, nom:nomcommune, animation: 'slide'});
			}
			
			$scope.submitFavoris = function()
			{
				var communesL = document.getElementById("communesSelector");
				for(i=0;i<communesL.length;i++) { if(communesL.options[i].selected) { break; } }
				window.localStorage.removeItem("commune_fav");
				window.localStorage.setItem("commune_fav", communesL[i].value);
			}
			
			

		}).
		error(function(data, status, headers, config) {});
	  });


	  app.controller('communeNewsController', function($scope, $http)
	  {
		timestamp = new Date().getTime();
		var page = $scope.appNavigator.getCurrentPage();
		$scope.nomcomm = page.options.nom;

		$scope.newsdep = [];
		$scope.news = [];

		$http({method: 'GET', url: 'http://www.mon43.fr/applications/v2/getlistecommune.php?nom='+$scope.nomcomm+'&random='+timestamp}).
		success(function(data, status, headers, config) {
			$scope.news = data.result;
			$scope.newsdep = data.dep;

			$scope.showDetailDep = function(index)
			{
				var selectedItem = $scope.newsdep[index];
				$scope.appNavigator.pushPage('new.html', selectedItem);
			}

			$scope.showDetail = function(index)
			{
				var selectedItem = $scope.news[index];
				if(selectedItem.chapo_court.substr(0,3) == "Ann")
					window.open("http://annonces.mon43.fr/annonce-" + selectedItem.id + "-mob.html", '_blank', 'location=no');
				else
					$scope.appNavigator.pushPage('new.html', selectedItem);
			}

		}).
		error(function(data, status, headers, config) {});

	  });

	  app.controller('depController', function($scope, $http)
	  {
		gana('départementales2015');
		timestamp = new Date().getTime();

		$scope.news = [];

		$http({method: 'GET', url: 'http://www.mon43.fr/applications/v2/getDep.php?random='+timestamp}).
		success(function(data, status, headers, config) {
			$scope.news = data.result;

			$scope.showDetail = function(index)
			{
				var selectedItem = $scope.news[index];
				$scope.appNavigator.pushPage('new.html', selectedItem);
			}

		}).
		error(function(data, status, headers, config) {});

		$scope.Canton = function()
		{
			$scope.appNavigator.pushPage('listResDep.html', {type:'canton', animation: 'slide'});
		}
		$scope.Commune = function()
		{
			$scope.appNavigator.pushPage('listResDep.html', {type:'commune', animation: 'slide'});
		}
	  });


	  app.controller('resDepController', function($scope, $http)
	  {
		$scope.isSelect = true;
		$scope.type = $scope.appNavigator.getCurrentPage().options.type;
		var urlget = '';

		if($scope.type == 'canton')
		{
			$scope.titre = 'Choisissez un canton.';
			urlget = 'http://www.mon43.fr/applications/v2/getcantons.php?random='+timestamp;
		}
		else
		{
			$scope.titre = 'Choisissez une commune.';
			urlget = 'http://www.mon43.fr/applications/v2/getcommunes.php?random='+timestamp;
		}

		timestamp = new Date().getTime();
		$scope.communes = [];
		$http({method: 'GET', url: urlget}).
		success(function(data, status, headers, config) {
			$scope.results = data.result;
			$scope.submitForm = function()
			{
				var maListe = document.getElementById("Selector");
				for(i=0;i<maListe.length;i++) { if(maListe.options[i].selected) { break; } }
				var idcommune = maListe[i].value;
				var nomcommune = maListe[i].text

				$scope.isSelect = false;

				var urlgetinfo = '';
				if($scope.type == 'canton')
				{
					urlgetinfo = 'http://www.mon43.fr/applications/v2/resultDepartementalesCanton.php?id='+idcommune+'&random='+timestamp;
				}
				else
				{
					urlgetinfo = 'http://www.mon43.fr/applications/v2/resultDepartementalesCommune.php?id='+nomcommune+'&random='+timestamp;
				}

				$http({method: 'GET', url: urlgetinfo}).
				success(function(data, status, headers, config) {
					$scope.news1 = data.tour1;
					$scope.news2 = data.tour2;
					$scope.isTour1 = data.isresult != 0 ? true : false;
					$scope.isTour2 = $scope.news2[0].info[0].canton_nom != '' ? true : false;
				}).
				error(function(data, status, headers, config) {});
			}

			$scope.listBinomes = function(id, nom)
			{
				$scope.appNavigator.pushPage('listebinomes.html', {canton: id, nom: nom, animation: 'slide'});
			}
		}).
		error(function(data, status, headers, config) {});
	  });


	app.controller('listBinomesController', function($scope, $http)
	{
		$scope.canton = $scope.appNavigator.getCurrentPage().options.canton;
		$scope.canton_nom = $scope.appNavigator.getCurrentPage().options.nom;

		$http({method: 'GET', url: 'http://www.mon43.fr/applications/v2/getBinomesDep.php?id='+$scope.canton}).
		success(function(data, status, headers, config) {
			$scope.binomes = data.result;
		}).
		error(function(data, status, headers, config) {});

	});


	// Paramètres
	app.controller('SettingsController', function($scope,$http) {
		gana('paramètres');
		$scope.version = device.version;
		// on regarde si les notifications sont activées ou non
		timestamp = new Date().getTime();
		$.getJSON('http://www.mon43.fr/applications/v2/notif.php?uuid='+device.uuid+'&action=verif&timestamp='+timestamp+'', function(data) {
			var employee = data.item;
			if(employee.id)
			  {
				if(employee.token)
				  {
					document.getElementById("notif").checked = true;
				  }
				else
				  {
					document.getElementById("notif").checked = false;
				  }
			  }
		});

		// on récupère la fonction en cas de clic
		$scope.notif = function()
		  {
			if(document.getElementById('notif').checked == true)
			  {
				var pushNotification = window.plugins.pushNotification;

				//set push notifications handler
				document.addEventListener('push-notification', function(event) {
					var title = event.notification.title;
					var userData = event.notification.userdata;

					if(typeof(userData) != "undefined") {
						console.warn('user data: ' + JSON.stringify(userData));
					}
				});

				pushNotification.onDeviceReady({ projectid: "397906695062", appid : "4CCD6-74827" });

				pushNotification.registerDevice(
						function(status) {
							var pushToken = status;
							$.getJSON('http://www.mon43.fr/applications/v2/notif.php?uuid='+device.uuid+'&token='+pushToken+'&actif=O', function(data) {	});
						},
						function(status) {
							console.warn(JSON.stringify(['failed to register ', status]));
						}
					);
			  }
			else
			  {
				var pushNotification = window.plugins.pushNotification;
				pushNotification.onDeviceReady();

				pushNotification.unregisterDevice({ projectid: "397906695062", appid : "4CCD6-74827" }, function(status) {}, function(status) {});
				$.getJSON('http://www.mon43.fr/applications/v2/notif.php?uuid='+device.uuid+'&actif=N', function(data) {	});
			  }
		  };

	});

	// Menu Controller
	app.controller('MenuController', function($scope, $http) {
		ons.ready(function() {
		// on regarde si il y a une connexion ou pas
		if(checkConnection()=="yes")
		  {
			timestamp = new Date().getTime();
			$http({method: "GET", url: "http://mon43.fr/applications/v2/getMenu2.php?timestamp="+timestamp}).
			success(function(data, status, headers, config) {
				$scope.items = data.result;
				$scope.showDetail = function(index){
					var selectedItem = $scope.items[index];
					if(selectedItem.page.substr(0,4) == "http")
						window.open(selectedItem.page, '_blank', 'location=no');
					else
						$scope.appNavigator.pushPage(selectedItem.page, {rubsite: selectedItem.rubsite, title: selectedItem.title2, animation: 'slide'});
				}
			}).
			error(function(data, status, headers, config) {
				// if(confirm('Une erreur réseau a empêché le bon chargement de l\'application. Souhaitez-vous réessayer ?'))
				// 	{location.href='index.html';}
				// else
				// 	{navigator.app.exitApp();}

				navigator.notification.confirm(
			                'Une erreur réseau a empêché le bon chargement de l\'application. Souhaitez-vous réessayer ?', // message
			                ConfirmResponse,     // callback to invoke with index of button pressed
			                'Oups !',           // title
			                ['Oui','Non']     // buttonLabels
		        );

		        function ConfirmResponse(buttonIndex) {
		            if(buttonIndex == 1)
		            {
		                location.href='index.html';
			        }
			        else
			        {
			        	navigator.app.exitApp();
			        }
		        }

			});
		  }
		else // pas de connexion on le signale pour fermer l'appli
		  {
			alert('Vous n\'avez pas de connexion internet pour le moment. L\'application va se fermer.');
			navigator.app.exitApp();
		  }
		})
	});

	app.controller('myCtrl', function($scope, $http) {

		$scope.activeTabs = [];
		$scope.isOpenTab = function (tab) {
			if ($scope.activeTabs.indexOf(tab) > -1) {
				return true;
			} else {
				return false;
			}
		}

		$scope.openTab = function (tab) {
			if ($scope.isOpenTab(tab)) {
				$scope.activeTabs.splice($scope.activeTabs.indexOf(tab), 1);
			} else {
				$scope.activeTabs.push(tab);
			}
		}
	});

	// Contact Controller
	app.controller('ContactController', function($scope) {
		gana('contact');
		$scope.submitForm = function() {

			window.plugin.email.open({
				to:      ['guillaume.laurens@renouveau.presse.fr'],
				subject: 'Message de l\'application : '+$scope.sujet,
				body:    $scope.message
			});

		};

	});

	// Reporter Controller
	app.controller('ReporterController', function($scope,$http) {
		gana('webreporter');
		$http({method: "GET", url: "http://newsco.mon43.fr/applications/create_report.php?base_site=mon43&id_site=3"})
		.success(function(data, status, headers, config)
		{
			$scope.insertarticle = data.result;
			$scope.idreport = $scope.insertarticle[0].id;
			$scope.photo = new Array();
			$scope.videos = new Array();
		})
		.error(function(data, status, headers, config)
		{
			alert('Impossible de créer un message');
			$scope.appNavigator.popPage();
		});



		function onConfirmPhoto(buttonIndex) {
			if(buttonIndex == 1)
			{
				capturePhoto();
			}
			else
			{
				getPhoto(pictureSource.PHOTOLIBRARY);
			}
		}

		// A button will call this function
		function capturePhoto()
		{
			navigator.camera.getPicture(onPhotoDataSuccess, onFail, { quality: 50, destinationType: destinationType.DATA_URL });
		}

		// A button will call this function
		function getPhoto(source) {
			var mediaType = navigator.camera.MediaType.PICTURE;
			navigator.camera.getPicture(onPhotoDataSuccess, onFail, { quality: 50, mediaType : mediaType, destinationType: destinationType.DATA_URL, sourceType: source });
		}

		$scope.photoClick = function(){

			navigator.notification.confirm(
				'Utiliser la caméra ou choisir depuis votre téléphone ?', // message
				 onConfirmPhoto,            // callback to invoke with index of button pressed
				'Photo d\'illustration',           // title
				['Caméra','Fichiers']     // buttonLabels
			);
		}

		// Called when a photo is successfully retrieved
		function onPhotoDataSuccess(imageData) {
			$scope.loader =true;
			var url_save = "http://mon43.fr/applications/v2/sendPhotoReporter.php";
			$scope.photo = new Array();
			$scope.photo.push('data:image/jpeg;base64,' + imageData);

			$http.post(url_save, $.param({photo:$scope.photo[0], id_report:$scope.idreport}), { headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'}})
			.success(function(data, status, headers, config){
				//$scope.loader =false;
				var div = document.getElementById('divimage');
				var smallImage = document.getElementById('image');
				div.style.display = 'block';
				smallImage.src = "data:image/jpeg;base64," + imageData;
				alert('Image d\'illustration envoyée');
			}).
			error(function(data, status, headers, config) {
				//$scope.loader =false;
				alert('Erreur lors de l\'envoi de l\'image. Veuillez réessayer !');
			});
			//Ca passe en Erreur. Debug pour 14h !
		}

		$scope.videoClick = function(){
			navigator.notification.confirm(
				'Utiliser la caméra ou choisir depuis votre téléphone ?', // message
				 onConfirmVideo,            // callback to invoke with index of button pressed
				'Vidéo',           // title
				['Caméra','Fichiers']     // buttonLabels
			);
		}

		function onConfirmVideo(buttonIndex) {
			if(buttonIndex == 1)
			{
				captureVideo();
			}
			else
			{
				getVideo(pictureSource.PHOTOLIBRARY);
			}
		}

		// A button will call this function
		function captureVideo() {
			navigator.device.capture.captureVideo(captureSuccess, captureError, {limit:1});
		}

		// A button will call this function
		function getVideo(source) {
			var mediaType = navigator.camera.MediaType.VIDEO;
			var destinationType = navigator.camera.DestinationType.FILE_URI;
			navigator.camera.getPicture(onVideoDataSuccess, onFail, { quality: 50, mediaType : mediaType, destinationType: destinationType, sourceType: source });
		}

		// Called when capture operation is finished
		function captureSuccess(mediaFiles) {
			var i, len;
			for (i = 0, len = mediaFiles.length; i < len; i += 1) {
				onVideoDataSuccess(mediaFiles[i].fullPath);
			}
		}

		// Called if something bad happens.
		//
		function captureError(error) {
			var msg = 'An error occurred during capture: ' + error.code;
			navigator.notification.alert(msg, null, 'Uh oh!');
		}

		// Called when a photo is successfully retrieved
		function onVideoDataSuccess(imageData) {

			var fileURI = imageData;

			var win = function (r) {
				//alert(" Response = " + r.response);
				//alert(r.response);
				var msg = document.getElementById('mess');
				msg.style.display = "block";
				msg.innerHTML = 'Votre vidéo a été envoyé <br><a>' + r.response + '</a>';
				$scope.videos = new Array();
				$scope.videos.push(r.response);
			}

			var fail = function (error) {
				alert(" Code = " + error.code + "\n\r source = " + error.source + "\n\r target = " + error.target + "\n\r msg = " + error.response + error.msg);
				var msg = document.getElementById('mess');
				msg.style.display = "block";
				msg.innerHTML = 'Problème avec l\'envoi de votre vidéo.';
			}

			var options = new FileUploadOptions();
			options.fileKey = "file";
			options.fileName = fileURI.substring(fileURI.lastIndexOf('/') + 1);
			options.mimeType = "mp4/video";

			//alert(options.fileName);

			var params = {};

			options.params = params;

			// Ce sont ces 2 lignes qui merdent
			var ft = new FileTransfer();
			ft.upload(fileURI, encodeURI("http://mon43.fr/applications/v2/sendVideoReporter.php"), win, fail, options);



			ft.onprogress = function(progressEvent) {
				if (progressEvent.lengthComputable) {
					var pourcent = Math.round((progressEvent.loaded / progressEvent.total)*100);
					var msg = document.getElementById('mess');
					msg.style.display = "block";
					msg.innerHTML = 'Envoi du fichier en cours : '+pourcent+'%';
				} else {
					var msg = document.getElementById('mess');
					msg.style.display = "block";
					msg.innerHTML = 'Envoi du fichier en cours';
				}
			};
		}


		$scope.submitForm = function() {

		$http.post("http://mon43.fr/applications/v2/webReporter.php", $.param({nom:$scope.nom, tel:$scope.telephone, mail:$scope.email, texte:$scope.message, video:$scope.videos[0], id_report:$scope.idreport}), { headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'}})
		.success(function(responseData){alert('Message envoyé');});

		};

	});


	// News Controller
	app.controller('NewsController', function($scope, $http) {
		gana('listeArticles');
		var rub = $scope.appNavigator.getCurrentPage().options.rubsite;
		$scope.title = $scope.appNavigator.getCurrentPage().options.title;
		$scope.news = [];
		$scope.isLoading = false;
		$scope.lim = 0;


		$scope.showDetail = function(index)
		  {
			var selectedItem = $scope.news[index];
			$scope.appNavigator.pushPage('new.html', selectedItem);
		  }

		$scope.getNextItems = function(){
			if(!$scope.isLoading)
			{
				$scope.isLoading = true;
				timestamp = new Date().getTime();
				$http({method: 'GET', url: 'http://www.mon43.fr/applications/v2/getNews.php?cat='+rub+'&limit='+$scope.lim+'&timestamp='+timestamp}).
				success(function(data, status, headers, config) {
					angular.forEach(data.result,function(item,index)
					{
						$scope.news.push(item);
					});
					$scope.lim += 20;
					$scope.isLoading = false;
				}).
				error(function(data, status, headers, config) {$scope.isLoading = false;});
			}
		};

		$scope.getNextItems();

	});

	// New Controller
	app.controller('NewController', function($scope, $http)
	  {
		gana('article');
		$scope.commentaires = false;
		$scope.galerie = false;

		var page = $scope.appNavigator.getCurrentPage();
		if(page.options.idpush)
		{
			timestamp = new Date().getTime();
			$http.post("http://www.mon43.fr/applications/v2/getNew.php?timestamp="+timestamp+"", $.param({id:page.options.idpush}), { headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'}}).success(function(data)
			{
				if(data.result[0].id>0)
				{
					$scope.item = data.result[0];

					if($scope.item.count != "0")
			        {
			        	$scope.commentaires = true;
			        }

					// on modifie le body pour intégrer les sons
					$scope.item.body = $scope.item.body.replace("[son1]", "<ons-button ng-show=\"son1\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','1');\"><ons-icon icon=\"fa-play\"></ons-icon> Ecouter le son</ons-button><ons-button ng-show=\"stop1\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','1');\"><ons-icon icon=\"fa-stop\"></ons-icon> Lecture en cours</ons-button>");
					$scope.item.body = $scope.item.body.replace("[son2]", "<ons-button ng-show=\"son2\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','2');\"><ons-icon icon=\"fa-play\"></ons-icon> Ecouter le son</ons-button><ons-button ng-show=\"stop2\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','2');\"><ons-icon icon=\"fa-stop\"></ons-icon> Lecture en cours</ons-button>");
					$scope.item.body = $scope.item.body.replace("[son3]", "<ons-button ng-show=\"son3\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','3');\"><ons-icon icon=\"fa-play\"></ons-icon> Ecouter le son</ons-button><ons-button ng-show=\"stop3\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','3');\"><ons-icon icon=\"fa-stop\"></ons-icon> Lecture en cours</ons-button>");
					$scope.item.body = $scope.item.body.replace("[son4]", "<ons-button ng-show=\"son4\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','4');\"><ons-icon icon=\"fa-play\"></ons-icon> Ecouter le son</ons-button><ons-button ng-show=\"stop4\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','4');\"><ons-icon icon=\"fa-stop\"></ons-icon> Lecture en cours</ons-button>");
					$scope.item.body = $scope.item.body.replace("[son5]", "<ons-button ng-show=\"son5\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','5');\"><ons-icon icon=\"fa-play\"></ons-icon> Ecouter le son</ons-button><ons-button ng-show=\"stop5\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','5');\"><ons-icon icon=\"fa-stop\"></ons-icon> Lecture en cours</ons-button>");
					$scope.son1=true;
					$scope.son2=true;
					$scope.son3=true;
					$scope.son4=true;
					$scope.son5=true;

					var photos = $scope.item.photo_galerie;
					if($scope.item.galerie=="O")
					  {
						function addSlides(target)
						  {
							angular.forEach(photos,function(item,index){
								if(index<10){
									target.push({
									label: item.titre,
									picture: item.photo,
									item: (index + 1)
								});
								}
							});
						  };

						$scope.slides = [];
						addSlides($scope.slides);
						$scope.galerie = true;
					  }
				}
			});

		}
		else
		{
			$scope.item = $scope.appNavigator.getCurrentPage().options;

			if($scope.item.count != "0")
	        {
	        	$scope.commentaires = true;
	        }

			// on modifie le body pour intégrer les sons
			$scope.item.body = $scope.item.body.replace("[son1]", "<ons-button ng-show=\"son1\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','1');\"><ons-icon icon=\"fa-play\"></ons-icon> Ecouter le son</ons-button><ons-button ng-show=\"stop1\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','1');\"><ons-icon icon=\"fa-stop\"></ons-icon> Lecture en cours</ons-button>");
			$scope.item.body = $scope.item.body.replace("[son2]", "<ons-button ng-show=\"son2\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','2');\"><ons-icon icon=\"fa-play\"></ons-icon> Ecouter le son</ons-button><ons-button ng-show=\"stop2\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','2');\"><ons-icon icon=\"fa-stop\"></ons-icon> Lecture en cours</ons-button>");
			$scope.item.body = $scope.item.body.replace("[son3]", "<ons-button ng-show=\"son3\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','3');\"><ons-icon icon=\"fa-play\"></ons-icon> Ecouter le son</ons-button><ons-button ng-show=\"stop3\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','3');\"><ons-icon icon=\"fa-stop\"></ons-icon> Lecture en cours</ons-button>");
			$scope.item.body = $scope.item.body.replace("[son4]", "<ons-button ng-show=\"son4\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','4');\"><ons-icon icon=\"fa-play\"></ons-icon> Ecouter le son</ons-button><ons-button ng-show=\"stop4\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','4');\"><ons-icon icon=\"fa-stop\"></ons-icon> Lecture en cours</ons-button>");
			$scope.item.body = $scope.item.body.replace("[son5]", "<ons-button ng-show=\"son5\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','5');\"><ons-icon icon=\"fa-play\"></ons-icon> Ecouter le son</ons-button><ons-button ng-show=\"stop5\" modifier=\"outline\" class=\"button-share\" ng-click=\"playAudio('http://www.mon43.fr/"+$scope.item.son+"','5');\"><ons-icon icon=\"fa-stop\"></ons-icon> Lecture en cours</ons-button>");
			$scope.son1=true;
			$scope.son2=true;
			$scope.son3=true;
			$scope.son4=true;
			$scope.son5=true;

			var photos = $scope.item.photo_galerie;
			if($scope.item.galerie=="O")
			  {
				function addSlides(target)
				  {
					angular.forEach(photos,function(item,index){
						if(index<10){
							target.push({
							label: item.titre,
							picture: item.photo,
							item: (index + 1)
						});
						}
					});
				  };

				$scope.slides = [];
				addSlides($scope.slides);
				$scope.galerie = true;
			  }
		}


		$scope.upFontSize = function()
		{
			var fontvar = 1;
			var div = document.getElementById("chap");
			var currentFont = div.style.fontSize.replace("px", "");
			div.style.fontSize = parseInt(currentFont) + parseInt(fontvar) + "px";

			var div = document.getElementById("bod");
			var currentFont = div.style.fontSize.replace("px", "");
			div.style.fontSize = parseInt(currentFont) + parseInt(fontvar) + "px";
		}

		$scope.downFontSize = function()
		{
			var fontvar = 1;
			var div = document.getElementById("chap");
			var currentFont = div.style.fontSize.replace("px", "");
			div.style.fontSize = parseInt(currentFont) - parseInt(fontvar) + "px";

			var div = document.getElementById("bod");
			var currentFont = div.style.fontSize.replace("px", "");
			div.style.fontSize = parseInt(currentFont) - parseInt(fontvar) + "px";
		}



		// on propose l'agrandissement de photo
		$scope.showDetail = function(index)
		  {
			index2 = index-1;
			$scope.appNavigator.pushPage('photo.html', $scope.item);
		  }

		$scope.sendComment = function()
		{
			if(document.getElementById('pseudo').value != '' && document.getElementById('text').value != '' && document.getElementById('mail').value != '')
			{
	            $http.post("http://www.mon43.fr/applications/v2/sendComment.php?id=" + $scope.item.id, $.param({pseudo:$scope.pseudoc, texte:$scope.textec, mail:$scope.mailc}), { headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'}})
	            .success(function(data, status, headers, config){
	                alert('Votre commentaire a bien été envoyé !');
	            }).
	            error(function(data, status, headers, config) {
	                alert('Erreur lors de l\'envoi de votre commentaire. Veuillez réessayer !');
	            });
			}
			else
			{
				alert('Veuillez remplir tous les champs !');
			}
		}

		// on propose l'agrandissement de photo de la galerie
		$scope.showDetailgalerie = function(index)
		  {
			$scope.appNavigator.pushPage('photogalerie.html', {id:index, galerie: photos,animation: 'slide'});
		  }

		// on propose le partage de l'article
		$scope.sharePost = function () {
			var subject = $scope.item.title;
			message = "Découvrez l\'article \""+subject+"\" sur le site de mon43.fr.";
			var link = "http://www.mon43.fr/actualite-"+$scope.item.id+"-mobile.html";
			window.plugins.socialsharing.share(message, subject, null, link);
		}

		// function d'écoute du son
		$scope.playAudio = function(src,id)
		{
			if(lecture=="no")
			  {
				encours = src;
				my_media = new Media(src);
				my_media.play();
				lecture = "yes";
				if(id==1){$scope.stop1=true;$scope.son1=false;}
				if(id==2){$scope.stop2=true;$scope.son2=false;}
				if(id==3){$scope.stop3=true;$scope.son3=false;}
				if(id==4){$scope.stop4=true;$scope.son4=false;}
				if(id==5){$scope.stop5=true;$scope.son5=false;}
			  }
			else
			  {
				my_media.stop();
				my_media.release();

				if(encours==src)
				  {
					lecture = "no";
					if(id==1){$scope.son1=true;$scope.stop1=false;}
					if(id==2){$scope.son2=true;$scope.stop2=false;}
					if(id==3){$scope.son3=true;$scope.stop3=false;}
					if(id==4){$scope.son4=true;$scope.stop4=false;}
					if(id==5){$scope.son5=true;$scope.stop5=false;}
				  }
				else
				  {
					encours = src;
					my_media = new Media(src);
					my_media.play();
					if(id==1){$scope.son1=false;$scope.son2=true;$scope.son3=true;$scope.son4=true;$scope.son5=true;$scope.stop1=true;$scope.stop2=false;$scope.stop3=false;$scope.stop4=false;$scope.stop5=false;}
					if(id==2){$scope.son1=true;$scope.son2=false;$scope.son3=true;$scope.son4=true;$scope.son5=true;$scope.stop1=false;$scope.stop2=true;$scope.stop3=false;$scope.stop4=false;$scope.stop5=false;}
					if(id==3){$scope.son1=true;$scope.son2=true;$scope.son3=false;$scope.son4=true;$scope.son5=true;$scope.stop1=false;$scope.stop2=false;$scope.stop3=true;$scope.stop4=false;$scope.stop5=false;}
					if(id==4){$scope.son1=true;$scope.son2=true;$scope.son3=true;$scope.son4=false;$scope.son5=true;$scope.stop1=false;$scope.stop2=false;$scope.stop3=false;$scope.stop4=true;$scope.stop5=false;}
					if(id==5){$scope.son1=true;$scope.son2=true;$scope.son3=true;$scope.son4=true;$scope.son5=false;$scope.stop1=false;$scope.stop2=false;$scope.stop3=false;$scope.stop4=false;$scope.stop5=true;}
				  }
			  }
		}

	  })
	app.directive('compile', function($compile) {
	  return function(scope, element, attrs) {
		scope.$watch(
		  function(scope) {
			return scope.$eval(attrs.compile);
		  },
		  function(value) {
			element.html(value);
			$compile(element.contents())(scope);
		  }
		);
	  };
	})

	// Gal Controller
	app.controller('GalController', function($scope, $http)
	  {

		$scope.id = $scope.appNavigator.getCurrentPage().options.id;
		var index2 = $scope.id-1;
		$scope.photo = $scope.appNavigator.getCurrentPage().options.galerie[index2].photo;
	  });

})();